package body MSHTML.HTMLScriptEvents_Events is

   procedure Invoke
     (dispidMember : in Interfaces.C.long;
      wFlags       : in Interfaces.C.unsigned_short;
      pdispparams  : in GNATCOM.Types.Pointer_To_DISPPARAMS;
      Event_Object : in GNATCOM.Events.Event_Object.Event_Pointer)
   is
      use type Interfaces.C.long;
   begin
      case dispidMember is
         when HTMLScriptEvents_onhelp=>
            onhelp
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onclick=>
            onclick
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondblclick=>
            ondblclick
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onkeypress=>
            onkeypress
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onkeydown=>
            onkeydown
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onkeyup=>
            onkeyup
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmouseout=>
            onmouseout
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmouseover=>
            onmouseover
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmousemove=>
            onmousemove
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmousedown=>
            onmousedown
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmouseup=>
            onmouseup
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onselectstart=>
            onselectstart
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onfilterchange=>
            onfilterchange
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondragstart=>
            ondragstart
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforeupdate=>
            onbeforeupdate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onafterupdate=>
            onafterupdate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onerrorupdate=>
            onerrorupdate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onrowexit=>
            onrowexit
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onrowenter=>
            onrowenter
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondatasetchanged=>
            ondatasetchanged
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondataavailable=>
            ondataavailable
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondatasetcomplete=>
            ondatasetcomplete
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onlosecapture=>
            onlosecapture
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onpropertychange=>
            onpropertychange
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onscroll=>
            onscroll
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onfocus=>
            onfocus
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onblur=>
            onblur
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onresize=>
            onresize
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondrag=>
            ondrag
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondragend=>
            ondragend
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondragenter=>
            ondragenter
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondragover=>
            ondragover
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondragleave=>
            ondragleave
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondrop=>
            ondrop
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforecut=>
            onbeforecut
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_oncut=>
            oncut
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforecopy=>
            onbeforecopy
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_oncopy=>
            oncopy
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforepaste=>
            onbeforepaste
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onpaste=>
            onpaste
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_oncontextmenu=>
            oncontextmenu
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onrowsdelete=>
            onrowsdelete
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onrowsinserted=>
            onrowsinserted
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_oncellchange=>
            oncellchange
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onreadystatechange=>
            onreadystatechange
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforeeditfocus=>
            onbeforeeditfocus
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onlayoutcomplete=>
            onlayoutcomplete
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onpage=>
            onpage
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforedeactivate=>
            onbeforedeactivate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onbeforeactivate=>
            onbeforeactivate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmove=>
            onmove
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_oncontrolselect=>
            oncontrolselect
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmovestart=>
            onmovestart
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmoveend=>
            onmoveend
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onresizestart=>
            onresizestart
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onresizeend=>
            onresizeend
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmouseenter=>
            onmouseenter
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmouseleave=>
            onmouseleave
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onmousewheel=>
            onmousewheel
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onactivate=>
            onactivate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_ondeactivate=>
            ondeactivate
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onfocusin=>
            onfocusin
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onfocusout=>
            onfocusout
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when HTMLScriptEvents_onerror=>
            onerror
              (HTMLScriptEvents_Event'Class (Event_Object.all));
         when others =>
            null;
      end case;
   end Invoke;

   function Create (From : in GNATCOM.Events.Event_Object.Event_Pointer)
     return GNATCOM.Create.COM_Interface.Pointer_To_COM_Interface_Type
   is
   begin
      return GNATCOM.Events.Event_Object.Create
        (Invoke'Access,
         IID_HTMLScriptEvents,
         From);
   end Create;

   procedure Set_Events
     (This            : in out GNATCOM.Events.IConnectionPoint_Type;
      For_Object      : in     GNATCOM.IInterface.Interface_Type'Class;
      Event_Interface :
        access GNATCOM.Create.COM_Interface.COM_Interface_Type;
      Free            : Boolean := True)
   is
   begin
      GNATCOM.Events.Set_Events
        (This,
         For_Object,
         IID_HTMLScriptEvents,
         Event_Interface,
         Free);
   end Set_Events;

   procedure onhelp
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onhelp;

   procedure onclick
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onclick;

   procedure ondblclick
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondblclick;

   procedure onkeypress
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onkeypress;

   procedure onkeydown
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onkeydown;

   procedure onkeyup
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onkeyup;

   procedure onmouseout
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmouseout;

   procedure onmouseover
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmouseover;

   procedure onmousemove
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmousemove;

   procedure onmousedown
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmousedown;

   procedure onmouseup
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmouseup;

   procedure onselectstart
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onselectstart;

   procedure onfilterchange
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onfilterchange;

   procedure ondragstart
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondragstart;

   procedure onbeforeupdate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforeupdate;

   procedure onafterupdate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onafterupdate;

   procedure onerrorupdate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onerrorupdate;

   procedure onrowexit
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onrowexit;

   procedure onrowenter
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onrowenter;

   procedure ondatasetchanged
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondatasetchanged;

   procedure ondataavailable
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondataavailable;

   procedure ondatasetcomplete
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondatasetcomplete;

   procedure onlosecapture
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onlosecapture;

   procedure onpropertychange
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onpropertychange;

   procedure onscroll
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onscroll;

   procedure onfocus
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onfocus;

   procedure onblur
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onblur;

   procedure onresize
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onresize;

   procedure ondrag
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondrag;

   procedure ondragend
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondragend;

   procedure ondragenter
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondragenter;

   procedure ondragover
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondragover;

   procedure ondragleave
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondragleave;

   procedure ondrop
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondrop;

   procedure onbeforecut
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforecut;

   procedure oncut
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end oncut;

   procedure onbeforecopy
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforecopy;

   procedure oncopy
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end oncopy;

   procedure onbeforepaste
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforepaste;

   procedure onpaste
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onpaste;

   procedure oncontextmenu
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end oncontextmenu;

   procedure onrowsdelete
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onrowsdelete;

   procedure onrowsinserted
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onrowsinserted;

   procedure oncellchange
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end oncellchange;

   procedure onreadystatechange
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onreadystatechange;

   procedure onbeforeeditfocus
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforeeditfocus;

   procedure onlayoutcomplete
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onlayoutcomplete;

   procedure onpage
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onpage;

   procedure onbeforedeactivate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforedeactivate;

   procedure onbeforeactivate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onbeforeactivate;

   procedure onmove
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmove;

   procedure oncontrolselect
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end oncontrolselect;

   procedure onmovestart
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmovestart;

   procedure onmoveend
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmoveend;

   procedure onresizestart
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onresizestart;

   procedure onresizeend
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onresizeend;

   procedure onmouseenter
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmouseenter;

   procedure onmouseleave
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmouseleave;

   procedure onmousewheel
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onmousewheel;

   procedure onactivate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onactivate;

   procedure ondeactivate
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end ondeactivate;

   procedure onfocusin
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onfocusin;

   procedure onfocusout
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onfocusout;

   procedure onerror
     (This : HTMLScriptEvents_Event)
   is
   begin
      null;
   end onerror;

end MSHTML.HTMLScriptEvents_Events;

